feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.Ord

Description

Implementation of ordering constructs

Synopsis

- data ORD a where
  - LTH :: (Type a, Ord a, Ord (Size a)) => ORD (a :-> (a :-> Full Bool))
  - GTH :: (Type a, Ord a, Ord (Size a)) => ORD (a :-> (a :-> Full Bool))
  - LTE :: (Type a, Ord a, Ord (Size a)) => ORD (a :-> (a :-> Full Bool))
  - GTE :: (Type a, Ord a, Ord (Size a)) => ORD (a :-> (a :-> Full Bool))
  - Min :: (Type a, Ord a, Ord (Size a)) => ORD (a :-> (a :-> Full a))
  - Max :: (Type a, Ord a, Ord (Size a)) => ORD (a :-> (a :-> Full a))

# Documentation

data ORD a where

Ordering constructs

Constructors

LTH :: (Type a, Ord a, Ord (Size a)) => ORD (a :-> (a :-> Full Bool)) |
GTH :: (Type a, Ord a, Ord (Size a)) => ORD (a :-> (a :-> Full Bool)) |
LTE :: (Type a, Ord a, Ord (Size a)) => ORD (a :-> (a :-> Full Bool)) |
GTE :: (Type a, Ord a, Ord (Size a)) => ORD (a :-> (a :-> Full Bool)) |
Min :: (Type a, Ord a, Ord (Size a)) => ORD (a :-> (a :-> Full a)) |
Max :: (Type a, Ord a, Ord (Size a)) => ORD (a :-> (a :-> Full a)) |

Instances

EvalBind ORD |
Semantic ORD |
Eval ORD |
Render ORD |
ToTree ORD |
Equality ORD |
Sharable ORD |
AlphaEq dom dom dom env => AlphaEq ORD ORD dom env |
SizeProp (:|| ORD Type) |
(:<: (:|| ORD Type) dom, OptimizeSuper dom) => Optimize (:|| ORD Type) dom |